#include <avr/io.h>
#include <util/delay.h>
#include <stdlib.h>

void delay_ms(uint16_t x)
{

	uint8_t y, z;
	for ( ; x > 0 ; x--){
		for ( y = 0 ; y < 90 ; y++){
			for ( z = 0 ; z < 6 ; z++){
				asm volatile ("nop");
			}
		}
	}
}


void init() {
	DDRA = DDRB = DDRC = DDRD = 0xff;
}

void random_play() {
	PORTA = 1 << (rand() % 8);
	PORTB = 1 << (rand() % 8);
	PORTD = 1 << (rand() % 4);
	delay_ms(200);
}

int main() {
	init();
	while (1) {
		random_play();
	}

	return 0;
}
